export async function getElections(current_user) {
  try {
    const response = await fetch("/api/Election/", {
      method: "GET",
      headers: new Headers({
        "XSRF-Token": current_user.xsrftoken,
      }),
    });
    if (response.status !== 200) {
      throw new Error(
        `Elections could not be fetched (status ${response.status})`
      );
    }
    return await response.json();
  } catch (e) {
    Messages.Show("is-warning", e.message);
    console.error(e);
  }
}

export async function getElection(current_user, id) {
  try {
    const response = await fetch("/api/Election/" + id, {
      method: "GET",
      headers: new Headers({
        "XSRF-Token": current_user.xsrftoken,
      }),
    });
    if (response.status !== 200) {
      throw new Error(
        `Election could not be fetched (status ${response.status})`
      );
    }
    return await response.json();
  } catch (e) {
    Messages.Show("is-warning", e.message);
    console.error(e);
  }
}